<ui:composition
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns="http://www.w3.org/1999/xhtml"
        template="/layout/template.xhtml">
    <ui:param name="useDefaultJQuery" value="false"/>
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.proxy.HTTPMessage']}</h2>
        #{messageBean.retrieveMessage("HTTP")}

        <s:div id="messageFound" rendered="#{messageBean.message != null}">
            #{messageBean.intResult()}
            <h:form>
                <ui:include src="commonProperties.xhtml"></ui:include>
                <dl class="dl-horizontal">

                    <h:panelGroup>
                        <h:panelGroup rendered="#{messageBean.message.httpRewrite}">
                            <div class="gzl-alert gzl-alert-orange">
                                <span class="gzl-icon-pencil"/>
                                <span style="font-family: monospace;">#{messages['net.ihe.gazelle.tm.TheHeadersHostXForwardedHostAndXForwardedForHave']}</span>
                            </div>
                        </h:panelGroup>
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.proxy.Action']}</ui:define>
                            <s:div styleClass="col-sm-3">
                                <span class="gzl-icon-download"/>
                                <h:commandButton
                                        action="#{messageBean.downloadHttpFullPayloadFile(false,messageBean.message)}"
                                        value="#{messages['net.ihe.gazelle.proxy.DownloadFullPayloadHTTP']}"
                                        execute="@this" immediate="true" styleClass="gzl-btn-blue"/>
                            </s:div>
                            <s:div styleClass="col-sm-3">
                                <span class="gzl-icon-search"/>
                                <h:commandButton
                                        action="#{messageBean.downloadHttpFullPayloadFile(true,messageBean.message)}"
                                        value="#{messages['net.ihe.gazelle.proxy.SeeFullPayloadHTTP']}"
                                        execute="@this" immediate="true" styleClass="gzl-btn-blue"/>
                            </s:div>
                            <s:div styleClass="col-sm-3">
                                <span class="gzl-icon-checked"/>
                                <h:commandButton
                                        action="#{messageBean.validateHttpFullPayloadFile(messageBean.message)}"
                                        value="#{messages['net.ihe.gazelle.proxy.ValidationOfFullPayLoadHTTPToEVSClient']}"
                                        execute="@this" immediate="true" styleClass="gzl-btn-green"/>
                            </s:div>
                        </ui:decorate>
                    </h:panelGroup>
                    <h:panelGroup rendered="#{messageBean.isDownloadable()}">
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.proxy.Type']}</ui:define>
                            <h:outputText value="#{messageBean.message.messageType}"/>
                        </ui:decorate>
                    </h:panelGroup>

                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.proxy.Headers']}</ui:define>
                        <h:outputText value="#{messageBean.escape(messageBean.message.getHeadersAsString())}"
                                      escape="false" style="font-family: monospace;"/>
                    </ui:decorate>

                    <h:panelGroup rendered="#{messageBean.isDownloadable()}">
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.proxy.Metadata']}</ui:define>
                        </ui:decorate>
                    </h:panelGroup>



                </dl>
            </h:form>
            <ui:include src="commonDownload.xhtml"></ui:include>
        </s:div>

        <s:div id="messageNotFound" rendered="#{messageBean.message == null}">
            <ui:include src="_messageNotFound.xhtml"/>
        </s:div>

    </ui:define>
</ui:composition>
